---
search:
  tags:
    - Players
    - GET
seo:
  description: >-
    A player's season lines. Reference for the GET /players/{id}/stats endpoint
    in the Hockay API.
sidebar:
  label: A player's season lines
  badge: GET
title: A player's season lines
type: openapi-operation
---
`GET /players/{id}/stats`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `404` — Not found (or not public yet)
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": [
    {
      "seasonId": "string",
      "gamesPlayed": -9007199254740991,
      "goals": -9007199254740991,
      "assists": -9007199254740991,
      "points": -9007199254740991,
      "hits": -9007199254740991,
      "penalties": -9007199254740991,
      "penaltyMinutes": -9007199254740991,
      "fights": -9007199254740991,
      "shots": -9007199254740991,
      "shotsOnGoal": -9007199254740991,
      "plusMinus": -9007199254740991,
      "saves": -9007199254740991,
      "goalsAgainst": -9007199254740991,
      "shutouts": -9007199254740991,
      "savePercentage": 0
    }
  ]
}
```
